Subject: [TR] part needed

From: David Porter <[email-masked]>
Date: Mon, 01 Sep 2014 19:37:11 -0600

Though a dealer for Moss, they, have virtually nothing for GT6 models, 
unless it's a Spitfire part that interchanges.. so now that I own 3 of 
these cars, the plan is to make one nice car. To that end I require the 
left most dash trim. Pretty short 8-10 curvy inches I guess. Covered in 
black vinyl over a bit of foam.
  Anyone out there have a spare that they have no use for or a 
recommendation for who sells these odd bits?
-- 
Dave Porter Porter Custom Bicycles 2909 Arno St. NE Albuquerque, NM 
87107 505-352-1378 Go HERE: my world www.porterbikes.com/

** [email-masked] **

Archive: http://www.team.net/archive